| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Enumerations | Variables
layout.h File Reference

## Classes

class | wxIndividualLayoutConstraint
class | wxLayoutConstraints

## Enumerations

enum | wxEdge { wxLeft, wxTop, wxRight, wxBottom, wxWidth, wxHeight, wxCentre, wxCenter = wxCentre, wxCentreX, wxCentreY }
enum | wxRelationship { wxUnconstrained, wxAsIs, wxPercentOf, wxAbove, wxBelow, wxLeftOf, wxRightOf, wxSameAs, wxAbsolute }

## Variables

const int | wxLAYOUT_DEFAULT_MARGIN = 0

## Enumeration Type Documentation

enum wxEdge

Enumerator
wxLeft |
wxTop |
wxRight |
wxBottom |
wxWidth |
wxHeight |
wxCentre |
wxCenter |
wxCentreX |
wxCentreY |

enum wxRelationship

Enumerator
wxUnconstrained |
wxAsIs |
wxPercentOf |
wxAbove |
wxBelow |
wxLeftOf |
wxRightOf |
wxSameAs |
wxAbsolute |

## Variable Documentation

const int wxLAYOUT_DEFAULT_MARGIN = 0